Patch an API key

Patch an existing API key ignoring missing properties

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The ID of the existing API key you wish to edit.

string

A comment or description of your new API key

boolean

If true, a custom rate limit will be enabled for this user, and defined by the custom_ratelimit_value and custom_ratelimit_period.

integer

If passed, defines the limit of emails this user can send in the period specified in custom_ratelimit_period.

Note: Only stores this value if custom_ratelimit is true.

string

If passed, defines the period for which this user will be limited to the number of emails specified in custom_ratelimit_value.

Syntax: "<n> [hour[s]|day[s]|week[s]|month[s]] [hh:mm:ss]".

Examples: "0:30:00", "1 hour", "2 days", "3 months", "4 months 5:00:00".

Note: Only stores this value if custom_ratelimit is true.

integer

If passed, any emails sent with this API key will use dedicated IP's in this IP Pool, This value can be found on the /v3/dedicated_ips/view endpoint.

boolean
Defaults to null

If true, custom feedback via the unsubscribe footer will be enabled and defined by the below settings.

string
Defaults to null

The HTML content to insert into the custom feedback email body via the unsubscribe footer.

System Variables (Only available here):

  • Unsubscribe URL = %%UNSUBSCRIBE%%
  • Email address = %%EMAIL%%

string
Defaults to null

The text content to insert into the custom feedback email body via the unsubscribe footer.

System Variables (Only available here):

  • Unsubscribe URL = %%UNSUBSCRIBE%%
  • Email address = %%EMAIL%%

boolean
Defaults to null

If true, open tracking will be enabled for this API key.

boolean
Defaults to null

If true, click tracking will be enabled for this API key.

boolean
Defaults to null

If true, archiving (available on paid plans) will be enabled for this API key.

string

If passed, this email will be BCC'd on all emails sent by this API key.

string
Defaults to null

If passed, will control how bounce notifications are handled. Must be one of [from, drop, or a valid email address]. [from] will return the email to sender, [drop] will discard the event, and the inclusion of an email address will send the event on to this account.

string
Defaults to null

The initial status of the API key, one of ['allowed', 'blocked', 'sandbox'].

endpoints
array of strings
Defaults to null

An array of endpoints that this API key will be allowed to use.

A full list of endpoints can be found in the app under Sending->API Keys->Permissions or programatically via the API here.

We also accept wildcard patterns, for example to allow access to all email endpoints you can pass ["/email/*"].

To allow access to every endpoint simply pass "endpoints": ["*"]

endpoints
string

If you wish to make this API call on behalf of a subaccount then include its unique ID here.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json